javauis/eswt_qt/org.eclipse.swt.qt.linux.x86.se/run.tests.xephyr.sh
branchRCL_3
changeset 25 ae942d28ec0e
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/javauis/eswt_qt/org.eclipse.swt.qt.linux.x86.se/run.tests.xephyr.sh	Tue Aug 31 15:09:22 2010 +0300
@@ -0,0 +1,10 @@
+#!/bin/bash
+Xephyr -ac -screen 1024x768x24 -dpi 96 -br -reset -terminate -host-cursor 2> /dev/null :2 &
+sleep 3
+echo $! > Xephyr.pid
+DISPLAY=:2 xterm -geometry 0x0 -hold -iconic &
+DISPLAY=:2 metacity &
+DISPLAY=:2 setxkbmap fi &
+sleep 3
+DISPLAY=:2 java -cp ../nokiatests/bin:../xlibutils/java/bin:../org.eclipse.swt/bin:../eclipsetests/bin:../nokiatests/junit-3.8.1.1.jar -Djava.library.path=../xlibutils/native/release:release com.nokia.eswt.mt.AllTests > test.results.log
+kill -9 `cat Xephyr.pid`